Module java.desktop
Package javax.swing.plaf.basic

## Class BasicScrollBarUI.ArrowButtonListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicScrollBarUI.ArrowButtonListener

- All Implemented Interfaces:
    `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`
  Enclosing class:
    BasicScrollBarUI

      protected class BasicScrollBarUI.ArrowButtonListener
      extends MouseAdapter

  Listener for cursor keys.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ArrowButtonListener​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mousePressed​(MouseEvent e)` | Invoked when a mouse button has been pressed on a component.
    `void` | `mouseReleased​(MouseEvent e)` | Invoked when a mouse button has been released on a component.

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrowButtonListener

          protected ArrowButtonListener​()

  - ### Method Detail

    - #### mousePressed

          public void mousePressed​(MouseEvent e)

      Description copied from class: `MouseAdapter`
      Invoked when a mouse button has been pressed on a component.
      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `MouseAdapter`
      Parameters:
        `e` - the event to be processed

    - #### mouseReleased

          public void mouseReleased​(MouseEvent e)

      Description copied from class: `MouseAdapter`
      Invoked when a mouse button has been released on a component.
      Specified by:
        `mouseReleased` in interface `MouseListener`
      Overrides:
        `mouseReleased` in class `MouseAdapter`
      Parameters:
        `e` - the event to be processed